taskBatchId, 需轮询 /getState 直到 taskStatus=finished,再从 data.items[] 中取 cld2AudioUrl。| 模式 | 关键字段 |
|---|---|
| 灵感模式 | inputType=10 + gptDescriptionPrompt |
| 自定义模式 | inputType=20 + prompt + tags + title |
| 续写 | continueClipId + continueAt |
| Cover(换风格) | coverClipId |
| Remaster(音质提升) | metadataParams.remaster=true |
| AddInstrumental(加伴奏) | metadataParams.underpainting_clip_id |
| AddVocals(加人声) | metadataParams.overpainting_clip_id |
| Sample(参考片段) | metadataParams.chop_sample_clip_id |
data.items[] 长度为 2。curl --location 'https://api.uniapi.io/suno/music/generate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"inputType": 10,
"gptDescriptionPrompt": "a happy song about summer",
"mv": "chirp-v4"
}'{
"code": 200,
"msg": "您已成功提交创作任务,目前剩余并发任务数为99",
"data": {
"taskBatchId": "1261719676955385857",
"taskStatus": "create",
"items": [
{
"id": "2054840020958945282",
"inputType": "20",
"prompt": "xxxxxxx",
"progressMsg": "Analyzing your creation...",
"createTime": "2026-05-14T16:23:32.735+08:00"
},
{
"id": "2054840020958945283",
"inputType": "20",
"prompt": "xxxxxx",
"progressMsg": "Analyzing your creation...",
"createTime": "2026-05-14T16:23:32.735+08:00"
}
]
}
}